# eric5.E5XML.UserProjectReader

Module implementing a class for reading an XML user project properties file.

### Global Attributes

None

### Classes

UserProjectReader | Class for reading an XML user project properties file.

### Functions

None

## UserProjectReader

Class for reading an XML user project properties file.

### Derived from

XMLStreamReaderBase

### Class Attributes

supportedVersions

### Class Methods

None

### Methods

UserProjectReader | Constructor
readXML | Public method to read and parse the XML document.

### Static Methods

None

#### UserProjectReader (Constructor)

UserProjectReader(device, project)

Constructor

device
  reference to the I/O device to read from (QIODevice)
project
  Reference to the project object to store the information into.

#### UserProjectReader.readXML

readXML()

Public method to read and parse the XML document.

Up